Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class AbstractNode

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.AbstractNode

All Implemented Interfaces:
  ComparisonBrowserNode, Taxon

Direct Known Subclasses:
  TaxonTree, UncNode

    public abstract class AbstractNode

extends java.lang.Object
implements Taxon, ComparisonBrowserNode

Nested Class Summary
`(package private) class` | `AbstractNode.LineageIterator` An Iterator of the ancestor nodes of the current node(not included) returns the most recent ancestor last.
`(package private) class` | `AbstractNode.TaxonIterator` An Iterator of the BrowserNode.

Field Summary
`private static java.text.DecimalFormat` | `df`
`private int` | `indent`
`private AbstractNode` | `nextSibling`
`private AbstractNode` | `parent`
`private int` | `s1Count`
`private int` | `s2Count`
`private double` | `significance`

Constructor Summary
`AbstractNode()` Creates a new instance of AbstractNode

Method Summary
`(package private) void` | `addSibling(AbstractNode n)`
`abstract void` | `changeConfidence(SigCalculator cal)`
`abstract ComparisonBrowserNode` | `findNode(int id)`
`abstract java.util.Iterator` | `getDetailIterator(float conf)`
`double` | `getDoubleSignificance()`
`(package private) abstract AbstractNode` | `getFirstChild()`
`int` | `getIndent()`
`java.util.Iterator` | `getLineageIterator()`
`abstract java.lang.String` | `getName()`
`(package private) AbstractNode` | `getNextSibling()`
`(package private) AbstractNode` | `getParent()` the parent of the root is null
`abstract java.lang.String` | `getRank()`
`int` | `getS1Count()`
`int` | `getS2Count()`
`java.lang.String` | `getSignificance()`
`abstract int` | `getTaxid()`
`java.util.Iterator` | `getTaxonIterator(int depth)`
`(package private) void` | `incS1Count(int c)`
`(package private) void` | `incS2Count(int c)`
`(package private) void` | `resetCount()`
`(package private) void` | `setIndent(int d)`
`(package private) void` | `setParent(AbstractNode n)`
`(package private) void` | `setSignificance(double s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### df

    private static java.text.DecimalFormat df

### indent

    private int indent

### parent

    private AbstractNode parent

### nextSibling

    private AbstractNode nextSibling

### s1Count

    private int s1Count

### s2Count

    private int s2Count

### significance

    private double significance

Constructor Detail

### AbstractNode

    public AbstractNode()

  Creates a new instance of AbstractNode

Method Detail

### getTaxonIterator

    public java.util.Iterator getTaxonIterator(int depth)

  Specified by:
    `getTaxonIterator` in interface `ComparisonBrowserNode`

### getLineageIterator

    public java.util.Iterator getLineageIterator()

  Specified by:
    `getLineageIterator` in interface `ComparisonBrowserNode`

### getDetailIterator

    public abstract java.util.Iterator getDetailIterator(float conf)

  Specified by:
    `getDetailIterator` in interface `ComparisonBrowserNode`

### changeConfidence

    public abstract void changeConfidence(SigCalculator cal)

  Specified by:
    `changeConfidence` in interface `ComparisonBrowserNode`

### getFirstChild

    abstract AbstractNode getFirstChild()

### findNode

    public abstract ComparisonBrowserNode findNode(int id)

  Specified by:
    `findNode` in interface `ComparisonBrowserNode`

### getName

    public abstract java.lang.String getName()

  Specified by:
    `getName` in interface `Taxon`

### getRank

    public abstract java.lang.String getRank()

  Specified by:
    `getRank` in interface `Taxon`

### getTaxid

    public abstract int getTaxid()

  Specified by:
    `getTaxid` in interface `Taxon`

### getParent

    AbstractNode getParent()

  the parent of the root is null

### getNextSibling

    AbstractNode getNextSibling()

### getS1Count

    public int getS1Count()

  Specified by:
    `getS1Count` in interface `Taxon`

### getS2Count

    public int getS2Count()

  Specified by:
    `getS2Count` in interface `Taxon`

### getDoubleSignificance

    public double getDoubleSignificance()

### getSignificance

    public java.lang.String getSignificance()

  Specified by:
    `getSignificance` in interface `Taxon`

### getIndent

    public int getIndent()

  Specified by:
    `getIndent` in interface `Taxon`

### incS1Count

    void incS1Count(int c)

### incS2Count

    void incS2Count(int c)

### resetCount

    void resetCount()

### setParent

    void setParent(AbstractNode n)

### setIndent

    void setIndent(int d)

### setSignificance

    void setSignificance(double s)

### addSibling

    void addSibling(AbstractNode n)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD